<?php
/**
 * Wedding Event Management functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package wedding_event_management
 */

$wedding_event_management_theme_data = wp_get_theme();
if( ! defined( 'WEDDING_EVENT_MANAGEMENT_THEME_VERSION' ) ) define ( 'WEDDING_EVENT_MANAGEMENT_THEME_VERSION', $wedding_event_management_theme_data->get( 'Version' ) );
if( ! defined( 'WEDDING_EVENT_MANAGEMENT_THEME_NAME' ) ) define( 'WEDDING_EVENT_MANAGEMENT_THEME_NAME', $wedding_event_management_theme_data->get( 'Name' ) );
if( ! defined( 'WEDDING_EVENT_MANAGEMENT_THEME_TEXTDOMAIN' ) ) define( 'WEDDING_EVENT_MANAGEMENT_THEME_TEXTDOMAIN', $wedding_event_management_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_VERSION' ) ) {
	define( 'WEDDING_EVENT_MANAGEMENT_VERSION', '1.0.0' );
}

if ( ! function_exists( 'wedding_event_management_setup' ) ) :
	
	function wedding_event_management_setup() {
		
		load_theme_textdomain( 'wedding-event-management', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'wedding-event-management' ),
				'testimonial-1'  => esc_html__( 'Testimonial 1', 'wedding-event-management' ),
				'testimonial-2'  => esc_html__( 'Testimonial 2', 'wedding-event-management' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support(
			'custom-background',
			apply_filters(
				'wedding_event_management_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
	}
endif;
add_action( 'after_setup_theme', 'wedding_event_management_setup' );

function wedding_event_management_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'wedding_event_management_content_width', 640 );
}
add_action( 'after_setup_theme', 'wedding_event_management_content_width', 0 );

function wedding_event_management_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'wedding-event-management' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'wedding-event-management' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	$wedding_event_management_footer_widget_column = get_theme_mod('wedding_event_management_footer_widget_column','4');
	for ($wedding_event_management_i=1; $wedding_event_management_i<=$wedding_event_management_footer_widget_column; $wedding_event_management_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'wedding-event-management' )  . $wedding_event_management_i,
			'id' => 'wedding-event-management-footer-widget-' . $wedding_event_management_i,
			'description' => __( 'The Footer Widget Area', 'wedding-event-management' )  . $wedding_event_management_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'wedding_event_management_widgets_init' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'wedding_event_management_products_per_page' );
function wedding_event_management_products_per_page( $cols ) {
  	return  get_theme_mod( 'wedding_event_management_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'wedding_event_management_loop_columns');
	if (!function_exists('wedding_event_management_loop_columns')) {
	function wedding_event_management_loop_columns() {
		return get_theme_mod( 'wedding_event_management_products_per_row', 3 );
	}
}

/**
 * Enqueue scripts and styles.
 */
function wedding_event_management_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'wedding-event-management-slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'wedding-event-management-style', get_template_directory_uri() . '/style.css', array(), WEDDING_EVENT_MANAGEMENT_VERSION );

	// RTL style.
	wp_style_add_data('wedding-event-management-style', 'rtl', 'replace');

	// Animate CSS
	wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );

	// Navigation script.
	wp_enqueue_script( 'wedding-event-management-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), WEDDING_EVENT_MANAGEMENT_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'wedding-event-management-slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Wow script.
	wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );

	// Custom script.
	wp_enqueue_script( 'wedding-event-management-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), WEDDING_EVENT_MANAGEMENT_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'sail',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Sail&display=swap' ),
		array(),
		'1.0'
	);

	wp_enqueue_style(
		'arimo',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400..700;1,400..700&family=Sail&display=swap' ),
		array(),
		'1.0'
	);

}
add_action( 'wp_enqueue_scripts', 'wedding_event_management_scripts' );

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

function wedding_event_management_links_setup() {
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_PREMIUM_PAGE' ) ) {
	define('WEDDING_EVENT_MANAGEMENT_PREMIUM_PAGE',__('https://asterthemes.com/products/wedding-planner-wordpress-theme','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_THEME_PAGE' ) ) {
		define('WEDDING_EVENT_MANAGEMENT_THEME_PAGE',__('https://asterthemes.com/products/wedding-event-management','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_SUPPORT' ) ) {
	define('WEDDING_EVENT_MANAGEMENT_SUPPORT',__('https://wordpress.org/support/theme/wedding-event-management/','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_REVIEW' ) ) {
	define('WEDDING_EVENT_MANAGEMENT_REVIEW',__('https://wordpress.org/support/theme/wedding-event-management/reviews/','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_PRO_DEMO' ) ) {
	define('WEDDING_EVENT_MANAGEMENT_PRO_DEMO',__('https://demo.asterthemes.com/wedding-event-management/','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_THEME_DOCUMENTATION' ) ) {
	define('WEDDING_EVENT_MANAGEMENT_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/wedding-event-management-free/','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_PREMIUM_DOCUMENTATION' ) ) {
	define('WEDDING_EVENT_MANAGEMENT_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/wedding-event-management-pro/','wedding-event-management'));
	}
	if ( ! defined( 'WEDDING_EVENT_MANAGEMENT_BUNDLE_PAGE' ) ) {
		define('WEDDING_EVENT_MANAGEMENT_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','wedding-event-management'));
	}
}
add_action('after_setup_theme', 'wedding_event_management_links_setup');

/**
 * Demo Import
*/
add_action( 'init', 'wedding_event_management_load_theme_wizard' );
function wedding_event_management_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

// Enqueue Customizer live preview script
function wedding_event_management_customizer_live_preview() {
    wp_enqueue_script(
        'wedding-event-management-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'wedding_event_management_customizer_live_preview');

// Featured Image Dimension
function wedding_event_management_blog_post_featured_image_dimension(){
	if(get_theme_mod('wedding_event_management_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// Reset all theme settings
function wedding_event_management_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('wedding_event_management_banner_button_label_');
		remove_theme_mod('wedding_event_management_banner_button_link_');
		remove_theme_mod('wedding_event_management_testimonial_heading');
		remove_theme_mod('wedding_event_management_testimonial_content');
		remove_theme_mod('wedding_event_management_enable_testimonial_section');
		remove_theme_mod('wedding_event_management_enable_banner_section');
		
        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'wedding-event-management')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'wedding-event-management')));
    }
}
add_action('wp_ajax_wedding_event_management_reset_demo_import_settings', 'wedding_event_management_reset_demo_import_settings'); 